aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios
diff options
context:
space:
mode:
Diffstat (limited to 'test-scenarios')
-rw-r--r--test-scenarios/install_additional_python.sh14
-rw-r--r--test-scenarios/scenarios.json11
2 files changed, 24 insertions, 1 deletions
diff --git a/test-scenarios/install_additional_python.sh b/test-scenarios/install_additional_python.sh
new file mode 100644
index 0000000..b0393d3
--- /dev/null
+++ b/test-scenarios/install_additional_python.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "python version 3.10.5 installed as default" python --version | grep 3.10.5
+check "python3 version 3.10.5 installed as default" python3 --version | grep 3.10.5
+check "python version 3.8.13 installed" ls -l /usr/local/python | grep 3.8.13
+check "python version 3.9.13 installed" ls -l /usr/local/python | grep 3.9.13
+
+# Report result
+reportResults
diff --git a/test-scenarios/scenarios.json b/test-scenarios/scenarios.json
index 7c51282..5f594df 100644
--- a/test-scenarios/scenarios.json
+++ b/test-scenarios/scenarios.json
@@ -12,6 +12,15 @@
}
}
},
+ "install_additional_python": {
+ "image": "ubuntu:focal",
+ "features": {
+ "python": {
+ "version": "3.10.5",
+ "additional_versions": "3.8,3.9.13"
+ }
+ }
+ },
"install_additional_ruby": {
"image": "ubuntu:focal",
"features": {
@@ -21,4 +30,4 @@
}
}
}
-} \ No newline at end of file
+}